Name:          keepalived
Version:       2.0.17
Release:       1mamba
Summary:       HA monitor built upon LVS, VRRP and services poller
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.keepalived.org/
Source:        http://www.keepalived.org/software/%{name}-%{version}.tar.gz
Source1:       keepalived.service
Patch:         %{name}-1.1.10-manpath.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: iptables-devel
BuildRequires: libnl-devel
BuildRequires: libopenssl-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: iptables-devel >= 1.6.2

%description
The main goal of the keepalived project is to add a strong end robust keepalive facility to the Linux Virtual Server project.
This project is written in C with multilayer TCP/IP stack checks.
Keepalived implements a framework based on three family checks:
Layer3, Layer4 & Layer5.
This framework gives the daemon the ability of checking a LVS server pool states.
When one of the server of the LVS server pool is down, keepalived informs the linux kernel via a setsockopt call to remove this server entrie from the LVS topology.
In addition keepalived implements a VRRPv2 stack to handle director failover.

So in short keepalived is a userspace daemon for LVS cluster nodes healthchecks and LVS directors failover.

%prep
%setup -q
#%patch -p1

%build
%configure \
   --with-init=systemd

#   --with-kernel-dir="/usr/src/linux-`uname -r`"

%make systemddir=%{_unitdir}

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall systemddir=%{_unitdir}

#install -D -m0644 %{SOURCE1} %{buildroot}%{_unitdir}/keepalived.service

rm -rf %{buildroot}%{_initrddir}

%post
%systemd_post keepalived
:

%preun
%systemd_preun keepalived
:

%postun
%systemd_postun_with_restart keepalived
:

%posttrans
find /etc/rc[0-6].d/ -type l -xtype l -exec rm -f {} \;
:

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/keepalived/
%config(noreplace) %{_sysconfdir}/keepalived/*
%config(noreplace) %{_sysconfdir}/sysconfig/keepalived
%{_unitdir}/keepalived.service
%{_bindir}/genhash
%{_sbindir}/keepalived
#%{_datadir}/snmp/mibs/*-MIB
%{_mandir}/man?/*
%{_datadir}/doc/keepalived/README
%doc AUTHOR CONTRIBUTORS COPYING
#% doc TODO README VERSION ChangeLog
#% doc doc/keepalived.conf.SYNOPSIS doc/samples/

%changelog
* Tue Jul 02 2019 Automatic Build System <autodist@mambasoft.it> 2.0.17-1mamba
- automatic version update by autodist

* Sat May 11 2019 Automatic Build System <autodist@mambasoft.it> 2.0.16-1mamba
- automatic version update by autodist

* Fri Feb 22 2019 Automatic Build System <autodist@mambasoft.it> 2.0.13-1mamba
- automatic version update by autodist

* Mon Feb 11 2019 Automatic Build System <autodist@mambasoft.it> 2.0.12-1mamba
- automatic version update by autodist

* Mon Jan 07 2019 Automatic Build System <autodist@mambasoft.it> 2.0.11-1mamba
- automatic version update by autodist

* Tue Nov 20 2018 Automatic Build System <autodist@mambasoft.it> 2.0.10-1mamba
- automatic version update by autodist

* Sat Oct 27 2018 Automatic Build System <autodist@mambasoft.it> 2.0.8-1mamba
- automatic version update by autodist

* Fri Sep 07 2018 Automatic Build System <autodist@mambasoft.it> 2.0.7-1mamba
- automatic version update by autodist

* Mon Aug 20 2018 Automatic Build System <autodist@mambasoft.it> 2.0.6-1mamba
- automatic version update by autodist

* Thu Jun 14 2018 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic version update by autodist

* Thu Jun 14 2018 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Thu May 17 2018 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Wed Apr 18 2018 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic version update by autodist

* Thu Mar 08 2018 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Fri Feb 09 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.1-1mamba
- update to 1.4.1

* Sat Jan 06 2018 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Tue Nov 21 2017 Automatic Build System <autodist@mambasoft.it> 1.3.9-1mamba
- automatic update by autodist

* Fri Oct 06 2017 Automatic Build System <autodist@mambasoft.it> 1.3.7-1mamba
- automatic version update by autodist

* Sat Sep 09 2017 Automatic Build System <autodist@mambasoft.it> 1.3.6-1mamba
- automatic version update by autodist

* Tue Apr 04 2017 Automatic Build System <autodist@mambasoft.it> 1.3.5-1mamba
- automatic version update by autodist

* Fri Feb 24 2017 Automatic Build System <autodist@mambasoft.it> 1.3.4-1mamba
- automatic version update by autodist

* Sat Dec 10 2016 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Tue Oct 04 2016 Automatic Build System <autodist@mambasoft.it> 1.2.24-1mamba
- automatic version update by autodist

* Thu Jul 14 2016 Automatic Build System <autodist@mambasoft.it> 1.2.23-1mamba
- automatic version update by autodist

* Sat Jun 18 2016 Automatic Build System <autodist@mambasoft.it> 1.2.22-1mamba
- automatic version update by autodist

* Mon Jun 06 2016 Automatic Build System <autodist@mambasoft.it> 1.2.21-1mamba
- automatic version update by autodist

* Mon Apr 18 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.20-2mamba
- systemd service

* Sun Apr 17 2016 Automatic Build System <autodist@mambasoft.it> 1.2.20-1mamba
- automatic version update by autodist

* Sun Aug 02 2015 Automatic Build System <autodist@mambasoft.it> 1.2.19-1mamba
- automatic version update by autodist

* Wed Jul 01 2015 Automatic Build System <autodist@mambasoft.it> 1.2.18-1mamba
- automatic version update by autodist

* Fri Jun 05 2015 Automatic Build System <autodist@mambasoft.it> 1.2.17-1mamba
- automatic version update by autodist

* Tue Mar 31 2015 Automatic Build System <autodist@mambasoft.it> 1.2.16-1mamba
- automatic version update by autodist

* Sun Dec 28 2014 Automatic Build System <autodist@mambasoft.it> 1.2.15-1mamba
- automatic version update by autodist

* Wed Dec 17 2014 Automatic Build System <autodist@mambasoft.it> 1.2.14-1mamba
- automatic version update by autodist

* Fri May 16 2014 Automatic Build System <autodist@mambasoft.it> 1.2.13-1mamba
- automatic version update by autodist

* Sun Feb 09 2014 Automatic Build System <autodist@mambasoft.it> 1.2.12-1mamba
- automatic version update by autodist

* Wed Jan 29 2014 Automatic Build System <autodist@mambasoft.it> 1.2.11-1mamba
- automatic version update by autodist

* Sat Jan 04 2014 Automatic Build System <autodist@mambasoft.it> 1.2.10-1mamba
- automatic version update by autodist

* Sat Nov 30 2013 Automatic Build System <autodist@mambasoft.it> 1.2.9-1mamba
- automatic version update by autodist

* Thu Sep 05 2013 Automatic Build System <autodist@mambasoft.it> 1.2.8-1mamba
- automatic version update by autodist

* Fri Aug 31 2012 Automatic Build System <autodist@mambasoft.it> 1.2.7-1mamba
- automatic version update by autodist

* Wed Aug 22 2012 Automatic Build System <autodist@mambasoft.it> 1.2.6-1mamba
- automatic version update by autodist

* Thu Aug 16 2012 Automatic Build System <autodist@mambasoft.it> 1.2.5-1mamba
- automatic version update by autodist

* Sun Jul 15 2012 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Thu Jan 20 2011 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic update by autodist

* Fri Dec 10 2010 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic update by autodist

* Mon Jun 28 2010 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic update by autodist

* Fri May 14 2010 Automatic Build System <autodist@mambasoft.it> 1.1.20-1mamba
- automatic update by autodist

* Tue Oct 20 2009 Automatic Build System <autodist@mambasoft.it> 1.1.19-1mamba
- automatic update by autodist

* Tue Sep 29 2009 Automatic Build System <autodist@mambasoft.it> 1.1.18-1mamba
- automatic update by autodist

* Thu Apr 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.17-1mamba
- automatic update by autodist

* Sun Feb 22 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.16-1mamba
- automatic update by autodist

* Fri Oct 03 2008 gil <puntogil@libero.it> 1.1.15-1mamba
- update to 1.1.15
- removed patch;
- edit: vendor, distribution, packager, buildrequires (kernel-mamba-source)

* Tue Oct 17 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.13-1qilnx
- update to version 1.1.13 by autospec

* Mon Mar 13 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.12-1qilnx
- update to version 1.1.12 by autospec

* Mon Nov 07 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.11-2qilnx
- rebuilt with LinkWatch support (kernel 2.6 only)

* Tue Mar 01 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.11-1qilnx
- update to version 1.1.11 by autospec

* Wed Feb 16 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.10-2qilnx
- fixex a signal handler issue (patch from CVS)

* Tue Feb 15 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.10-1qilnx
- update to version 1.1.10 by autospec

* Thu Feb 10 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.9-1qilnx
- update to version 1.1.9 by autospec

* Wed Jan 26 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.8-1qilnx
- update to version 1.1.8 by autospec

* Tue Apr 04 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.7-1qilnx
- new version rebuilt

* Tue Mar 02 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.6-1qilnx
- new version rebuilt 

* Mon Jan 26 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.5-1qilnx
- package update

* Fri Jan 09 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.4-2qilnx
- fixed preun and postun scripts

* Tue Dec 30 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.4-1qilnx
- rebuilt with latest version
- enabled IPVS framework and IPVS sync daemon support
- LinkWatch not yet enabled (requires the kernel patch
  http://www.linux-vs.org/~acassen/software/linux-2.4.23-linkwatch.patch.gz)

* Mon Nov 03 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.3-1qilnx
- first build
